Page MenuHomePhabricator

Could not authenticate against github.com
Closed, ResolvedPublic

Description

I know @Ejegg was getting this last night too (or at least, very similar errors)...

https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/583064/
https://integration.wikimedia.org/ci/job/mediawiki-core-php72-phan-docker/17620/console

13:25:50 ++ /usr/bin/env
13:25:51 [7.7MB/0.02s] > ComposerHookHandler::onPreUpdate
13:25:51 [7.8MB/0.02s] Loading composer repositories with package information
13:25:51 [8.1MB/0.13s] Updating dependencies (including require-dev)
13:26:03 [312.5MB/11.73s] Package operations: 56 installs, 5 updates, 3 removals
13:26:03 [312.5MB/11.73s]   - Removing wikimedia/ip-utils (1.0.0)
13:26:03 [312.5MB/11.75s]   - Removing jakobo/hotp-php (v1.0.1)
13:26:03 [312.5MB/11.78s]   - Removing christian-riesen/base32 (1.3.2)
13:26:03 [312.5MB/11.81s]   - Updating ralouphie/getallheaders (2.0.5 => 3.0.3): [312.5MB/11.84s] Downloading
13:26:03                                              
13:26:03   [Composer\Downloader\TransportException]   
13:26:03   Could not authenticate against github.com  
13:26:03

Event Timeline

Reedy created this task.Mar 24 2020, 1:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2020, 1:33 PM
Reedy triaged this task as High priority.Mar 24 2020, 1:34 PM
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)Mar 24 2020, 1:59 PM
Reedy raised the priority of this task from High to Unbreak Now!.Mar 25 2020, 7:57 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 25 2020, 7:57 PM

Change 583483 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[integration/config@master] Inject GitHub OAuth token into composer runtime

https://gerrit.wikimedia.org/r/583483

Change 585609 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Update composer docker images and inject GitHub OAuth token

https://gerrit.wikimedia.org/r/585609

Change 583483 merged by jenkins-bot:
[integration/config@master] dockerfiles: [composer-php70] Inject GitHub OAuth token into composer runtime

https://gerrit.wikimedia.org/r/583483

Mentioned in SAL (#wikimedia-releng) [2020-04-02T21:59:59Z] <James_F> Docker: [composer-php70] Inject GitHub OAuth token into composer runtime T106452 T248387

Mentioned in SAL (#wikimedia-releng) [2020-04-02T22:53:16Z] <James_F> Updated ooui-npm-special-node10-plus-composer-docker with COMPOSER_GITHUB_OAUTHTOKEN injected T248387

Jdforrester-WMF closed this task as Resolved.Apr 2 2020, 11:12 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

From https://integration.wikimedia.org/ci/job/composer-package-php72-docker/9530/console:

00:00:06.015 + '[' -n **** ']'
00:00:06.015 + /srv/composer/vendor/bin/composer config -g github-oauth.github.com ****
00:00:06.141 + composer --ansi validate
00:00:06.282 ./composer.json is valid

Sucess.

Change 585609 merged by jenkins-bot:
[integration/config@master] jjb: Inject GitHub OAuth token as a default for all jobs

https://gerrit.wikimedia.org/r/585609

hashar added a subscriber: hashar.Jun 2 2020, 5:23 PM

For history purpose, from which account the Github token got generated? Is that from one of our shared github accounts or a personal one? I am asking in case we have to regenerate it somehow.